# Uses of Interface
org.apache.commons.math3.ode.FirstOrderDifferentialEquations

Packages that use FirstOrderDifferentialEquations
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of FirstOrderDifferentialEquations in org.apache.commons.math3.ode

Subinterfaces of FirstOrderDifferentialEquations in org.apache.commons.math3.ode
Modifier and Type
Interface
Description
`interface`
`MainStateJacobianProvider`
Interface expanding `first order differential equations` in order to compute exactly the main state jacobian matrix for `partial derivatives equations`.
Classes in org.apache.commons.math3.ode that implement FirstOrderDifferentialEquations
Modifier and Type
Class
Description
`class`
`FirstOrderConverter`
This class converts second order differential equations to first order ones.
Methods in org.apache.commons.math3.ode that return FirstOrderDifferentialEquations
Modifier and Type
Method
Description
`FirstOrderDifferentialEquations`
ExpandableStatefulODE.`getPrimary()`
Get the primary set of differential equations.
Methods in org.apache.commons.math3.ode with parameters of type FirstOrderDifferentialEquations
Modifier and Type
Method
Description
`double`
AbstractIntegrator.`integrate(FirstOrderDifferentialEquations equations, double t0, double[] y0, double t, double[] y)`
Integrate the differential equations up to the given time.
`double`
FirstOrderIntegrator.`integrate(FirstOrderDifferentialEquations equations, double t0, double[] y0, double t, double[] y)`
Integrate the differential equations up to the given time.
Constructors in org.apache.commons.math3.ode with parameters of type FirstOrderDifferentialEquations
Modifier
Constructor
Description
``
`ExpandableStatefulODE(FirstOrderDifferentialEquations primary)`
Build an expandable set from its primary ODE set.
``
`JacobianMatrices(FirstOrderDifferentialEquations fode, double[] hY, String... parameters)`
Simple constructor for a secondary equations set computing Jacobian matrices.

## Uses of FirstOrderDifferentialEquations in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type FirstOrderDifferentialEquations
Modifier and Type
Method
Description
`double[]`
RungeKuttaIntegrator.`singleStep(FirstOrderDifferentialEquations equations, double t0, double[] y0, double t)`
Fast computation of a single step of ODE integration.